REM 
REM Copyright (c) 2008 Kristopher L. Kuhlman (kuhlman at hwr dot arizona dot edu)
REM 
REM Permission is hereby granted, free of charge, to any person obtaining a copy
REM of this software and associated documentation files (the "Software"), to deal
REM in the Software without restriction, including without limitation the rights
REM to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
REM copies of the Software, and to permit persons to whom the Software is
REM furnished to do so, subject to the following conditions:
REM 
REM The above copyright notice and this permission notice shall be included in
REM all copies or substantial portions of the Software.
REM 
REM THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
REM IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
REM FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
REM AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
REM LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
REM OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
REM THE SOFTWARE.
REM 
REM Malama, B., K.L. Kuhlman, and W. Barrash, 2007. Semi-analytical solution
REM  for flow in leaky unconfined aquifer-aquitard systems, Journal of
REM  Hydrology, 346(1-2), 59–68.
REM http://dx.doi.org/10.1016/j.jhydrol.2007.08.018
REM
REM Malama, B., K.L. Kuhlman, and W. Barrash, 2008. Semi-analytical solution
REM  for flow in a leaky unconfined aquifer toward a partially penetrating
REM  pumping well, Journal of Hydrology, 356(1-2), 234–244.
REM http://dx.doi.org/10.1016/j.jhydrol.2008.03.029
REM

REM this is a psuedo-make file to compile the software in windows
REM you must run this from inside the "Intel Fortran build environment"

del *.obj *.mod leak_unconf.exe
ifort /c /fast constant.f90
ifort /c /fast qxgs.f90
ifort /c /fast utility.f90
ifort /c /fast expint.f90
ifort /c /fast invlap.f90
ifort /c /fast /fpp /DINTEL laplace_hankel_solutions.f90
ifort /c /fast gauss_quad.f90
ifort /c /fast /fpp /DINTEL driver2.f90
ifort /fast /exe:leak_unconf.exe *.obj

